# $Revision: 1.17 $, $Date: 2002/02/25 10:31:30 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Sync
Summary:	File-Sync perl module
Summary(pl):	Modu perla File-Sync
Name:		perl-File-Sync
Version:	0.09
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File-Sync - Perl access to fsync() and sync() function calls.

%description -l pl
File-Sync - umoliwia dostp do funkcji fsync() i sync().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitearch}/File/Sync.pm
%dir %{perl_sitearch}/auto/File/Sync
%{perl_sitearch}/auto/File/Sync/autosplit.ix
%{perl_sitearch}/auto/File/Sync/Sync.bs
%attr(755,root,root) %{perl_sitearch}/auto/File/Sync/Sync.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Sync.spec,v $
Revision 1.17  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:14:41  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:26  depesz
adapterized

Revision 1.13  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:09:03  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/04 00:17:53  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:44:57  pius
- updated to 0.09

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
